## org.apache.poi.hwpf.model
Class FSPA

    java.lang.Object
      org.apache.poi.hwpf.model.types.FSPAAbstractType
          org.apache.poi.hwpf.model.FSPA

    @Internal
    public final class FSPA

extends FSPAAbstractType

File Shape Address structure

Author:
  Squeeself

Field Summary
`static int` `FSPA_SIZE` Deprecated.

Fields inherited from class org.apache.poi.hwpf.model.types.FSPAAbstractType
`field_1_spid, field_2_xaLeft, field_3_yaTop, field_4_xaRight, field_5_yaBottom, field_6_flags, field_7_cTxbx`

Constructor Summary
`FSPA()`
`FSPA(byte[] bytes, int offset)`

Method Summary
`byte[]` `toByteArray()`

Methods inherited from class org.apache.poi.hwpf.model.types.FSPAAbstractType
`fillFields, getBx, getBy, getCTxbx, getFlags, getSize, getSpid, getWr, getWrk, getXaLeft, getXaRight, getYaBottom, getYaTop, isFAnchorLock, isFBelowText, isFHdr, isFRcaSimple, serialize, setBx, setBy, setCTxbx, setFAnchorLock, setFBelowText, setFHdr, setFlags, setFRcaSimple, setSpid, setWr, setWrk, setXaLeft, setXaRight, setYaBottom, setYaTop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FSPA_SIZE

    @Deprecated
    public static final int FSPA_SIZE

  Deprecated.

Constructor Detail

### FSPA

    public FSPA()

### FSPA

    public FSPA(byte[] bytes,
                int offset)

Method Detail

### toByteArray

    public byte[] toByteArray()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.